Avro C#

Properties | List of all members
Avro.Generic.PreresolvingDatumWriter< T >.RecordFieldWriter Class Reference

Correlates a record field with the writer used to serialize that field. More...

## Properties
WriteItem | WriteField`[get, set]`
| Delegate used to write the Field to an encoder. More...
Field | Field`[get, set]`
| Field this object is associated with. More...

## Detailed Description

Correlates a record field with the writer used to serialize that field.

## Property Documentation

## ◆ Field

Field Avro.Generic.PreresolvingDatumWriter< T >.RecordFieldWriter.Field
| get set

Field this object is associated with.

## ◆ WriteField

WriteItem Avro.Generic.PreresolvingDatumWriter< T >.RecordFieldWriter.WriteField
| get set

Delegate used to write the Field to an encoder.

The documentation for this class was generated from the following file:

- src/apache/main/Generic/PreresolvingDatumWriter.cs